# RdNtClientInfo.h File Reference

## Classes
interface | IRdNtClientInfo
interface | IRdNtClientInfoDisp
## Enumerations
enum | ReNtCIStatus { RENTCISTAT_UNDEFINED = 0, RENTCISTAT_LOGGED_IN, RENTCISTAT_READY, RENTCISTAT_MSG_TYPING, RENTCISTAT_INACTIVE }
| Client's logging status. The status can be one of: IRdNtClientInfo. More...
enum | ReNtCIFlags { RENTCIFLG_NONE = 0x00000000, RENTCIFLG_VOIP_RX_MSG = 0x00000001, RENTCIFLG_VOIP_RX_STM = 0x00000002, RENTCIFLG_VOIP_TX_Q1 = 0x00000004, RENTCIFLG_VOIP_TX_Q2 = 0x00000008, RENTCIFLG_VOIP_TX_Q3 = 0x00000010, RENTCIFLG_VOIP_RX_Q1 = 0x00000020, RENTCIFLG_VOIP_RX_Q2 = 0x00000040, RENTCIFLG_VOIP_RX_Q3 = 0x00000080, RENTCIFLG_CHAT_DISABLED = 0x00000100, RENTCIFLG_VOIP_TX_DISABLED = 0x00000200, RENTCIFLG_HAND_RAISED = 0x00000400, RENTCIFLG_NEED_HELP = 0x00000800 }
| Client's flags: IRdNtClientInfo. More...
## Functions
CRdNtClientInfo public public public | IMPLEMENT_DISPATCH (IRdNtClientInfoDisp)

## Detailed Description

## Enumeration Type Documentation

enum ReNtCIStatus

Client's logging status. The status can be one of: IRdNtClientInfo.

Enumerator:

  RENTCISTAT_UNDEFINED | Undefined:.
  RENTCISTAT_LOGGED_IN | Client just logged in and waiting to participate:.
  RENTCISTAT_READY | Client is ready to participate:.
  RENTCISTAT_MSG_TYPING | Client is ready to participate and is typing a message:.
  RENTCISTAT_INACTIVE | Client is ready to participate but is inactive in Shared Space:.

enum ReNtCIFlags

Client's flags: IRdNtClientInfo.

Enumerator:

  RENTCIFLG_NONE | None:.
  RENTCIFLG_VOIP_RX_MSG | Client receiving VoIP messages:.
  RENTCIFLG_VOIP_RX_STM | Client receiving VoIP streams:.
  RENTCIFLG_VOIP_TX_Q1 | VoIP transmitting quality bit 0:.
  RENTCIFLG_VOIP_TX_Q2 | VoIP transmitting quality bit 1:.
  RENTCIFLG_VOIP_TX_Q3 | VoIP transmitting quality bit 2:.
  RENTCIFLG_VOIP_RX_Q1 | VoIP receiving quality bit 0:.
  RENTCIFLG_VOIP_RX_Q2 | VoIP receiving quality bit 1:.
  RENTCIFLG_VOIP_RX_Q3 | VoIP receiving quality bit 2:.
  RENTCIFLG_CHAT_DISABLED | Chat transmit disabled:.
  RENTCIFLG_VOIP_TX_DISABLED | VoIP transmit disabled:.
  RENTCIFLG_HAND_RAISED | Raised hand:.
  RENTCIFLG_NEED_HELP | Client asked for help:.

## Function Documentation

CRdNtClientInfo public public public IMPLEMENT_DISPATCH | ( | IRdNtClientInfoDisp |  | ) |

Method of IRsDataObject interface

Type Constraints

References IRdNtClientInfo::Clear().